/*
 * Copyright (C) 2005 Alfresco, Inc.
 *
 * Licensed under the Mozilla Public License version 1.1 
 * with a permitted attribution clause. You may obtain a
 * copy of the License at
 *
 *   http://www.alfresco.org/legal/license.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the
 * License.
 */
package org.alfresco.repo.audit;

import java.util.List;

import org.alfresco.service.cmr.audit.AuditInfo;
import org.alfresco.service.cmr.repository.NodeRef;

/**
 * The interface to persist audit information.
 * 
 * @author Andy Hind
 */
public interface AuditDAO
{
    /**
     * Create an audit entry.
     * 
     * @param auditInfo
     */
    public void audit(AuditState auditInfo);

    /**
     * Get the audit trail for a node.
     * 
     * @param nodeRef
     * @return
     */
    public List<AuditInfo> getAuditTrail(NodeRef nodeRef);
}
