/*
 * Copyright (C) 2006 Alfresco, Inc.
 *
 * Licensed under the Mozilla Public License version 1.1 
 * with a permitted attribution clause. You may obtain a
 * copy of the License at
 *
 *   http://www.alfresco.org/legal/license.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the
 * License.
 */

package org.alfresco.repo.avm;

/**
 * This is the interface for the merged from - to relationship.
 * @author britt
 */
public interface MergeLink
{
    /**
     * Set the from part.
     * @param from
     */
    public void setMfrom(AVMNode from);
    
    /**
     * Get the from part.
     * @return The from part.
     */
    public AVMNode getMfrom();

    /**
     * Set the to part.
     * @param to
     */
    public void setMto(AVMNode to);
    
    /**
     * Get the to part.
     * @return The to part.
     */
    public AVMNode getMto();
}
